import React from "react";
import { BrowserOpenURL } from "@wailsapp/runtime";

function BrowserLink(props: React.AnchorHTMLAttributes<HTMLAnchorElement>) {
	if (!props.href) {
		return <a {...props} />;
	}

	const properties = { ...props };
	properties.href = undefined;
	return (
		<a
			{...properties}
			style={{ ...properties.style, cursor: "pointer" }}
			onClick={() => {
				BrowserOpenURL(props.href);
			}}
		/>
	);
}

const PureBrowserLink = React.memo(BrowserLink);
export default PureBrowserLink;
