import React from "react";

export interface PasswordFieldProps {
	reveal: boolean;
}

function PasswordField(
	props: PasswordFieldProps &
		React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>,
) {
	const subprops = { ...props };
	subprops.reveal = undefined;
	return <input type={props.reveal ? "text" : "password"} {...subprops} />;
}

const PurePasswordField = React.memo(PasswordField);
export default PurePasswordField;
